<link rel="stylesheet" href="openlayers/ol.css" />
<script src="openlayers/ol.js"></script>

<?php
function ShowMap($lat,$lon){
    echo '<div style="display:none;"><div id="marker" style="width:10px;height:10px;border-radius:50%;background-color:#ff0000;opacity:0.6;"></div></div>';
    echo '<div id="mymap" style="width:300px;height:300px;overflow:hidden;"></div>';
    echo '<script>';
    echo 'var pos = new ol.proj.fromLonLat([' . $lon . ', ' . $lat . ']);';
    echo 'var map = new ol.Map({target:"mymap"});';
    echo 'var osmSource = new ol.source.OSM();';
    echo 'var myview = new ol.View({center: pos, zoom: 13});';
    echo 'map.setView(myview);';
    echo 'var osmLayer = new ol.layer.Tile({source: osmSource});';
    echo 'map.addLayer(osmLayer);';
    echo 'var marker = new ol.Overlay({position: pos, element: document.getElementById("marker")});';
    echo 'map.addOverlay(marker);';
    echo '</script>';
}
?>
